Skip to main content

/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards

GET

Retrieves the total accumulated rewards per validator.
Path Parameters
delegator_addressstringrequired
delegator_addr defines the delegator address to query for.
Responses
rewards defines all the rewards accrued by a delegator.
validator_addressstring
denomstring
amountstring
total defines the sum of all the rewards.
denomstring
amountstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'